<?php
// $Id: menucategories.php,v 1.6 2004/02/22 08:55:29 rcastley Exp $
/**
* Categories Button Bar HTML
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.6 $
**/

class menucategory {
	/**
	* Draws the menu for a New category
	*/
	function NEW_MENU() {
		mosMenuBar::startTable();
		mosMenuBar::media_manager();
		mosMenuBar::divider();
		mosMenuBar::save();
		mosMenuBar::back();
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}
	/**
	* Draws the menu for Editting an existing category
	* @param int The published state (to display the inverse button)
	*/
	function EDIT_MENU( $published ) {
		mosMenuBar::startTable();
		
		//if ($published == 0) {
		//	mosMenuBar::publish();
		//} else {
		//	mosMenuBar::unpublish();
		//}
		
		//mosMenuBar::divider();
		mosMenuBar::media_manager();
		mosMenuBar::divider();
		mosMenuBar::save();
		mosMenuBar::cancel();
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}
	/**
	* Draws the menu for Editting an existing category
	*/
	function DEFAULT_MENU(){
		mosMenuBar::startTable();
		mosMenuBar::publishList();
		mosMenuBar::unpublishList();
		mosMenuBar::divider();
		mosMenuBar::addNew();
		mosMenuBar::editList();
		mosMenuBar::deleteList();
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}
}
?>
